AOZ Studio Beta - Bug #927

Cannot preview on mac or run fullscreen browser -U25 (live version) Broken.
10/27/2022 12:59 AM - malcolm harvey

Status: Closed Start date: 10/27/2022
Category: Estimated time: 0:00 hour
Target version: none

Affected version: 1.0.0 (B16) u25

Description

https://discord.com/channels/653893653940404224/707482106313441350/1025897734470897716

Ok this version (in july) of aoz installer for mac (the mac non-25 version pkg), if you install or uninstall and reinstall on monterey etc
works fine. (See screenhots).

ie: It opens and when you say enter you code and do preview or full screen preview, it says, "making your potion..etc" bottom left and
then after a few seconds as usual it opens the preview as it should. (It takes a while on making potion etc though, like its working as
usual).

As above, Beta 16 works, the non -U25 named version JULY 22 (Mac) (Works on uninstall and reinstall.

But, the current live version Beta 16-U25 does not work for mac (Does not work (on uninstall and reinstall). (Preview window or full
browser).

It opens the ide, you enter your code and then when you hit preview or full screen preview, it says build etc and then "making your
potion" and then nothing happens. (The making potion part is really fast and gone in a few sec (not working at all stops, flashes on
then off).

It seams it does not continue to then doing whatever comes next.

You can see the two diff versions here as well.
Ive attached the JULY settings about window to show the one that worked. | had never reinstalled it since then on the mac till today.

Also these are errors when you reinstall the latest live version mac that | get and also what happens when the console is open and
you hit preview of your code.

The mostly blank console window picture below is all that happens in the console, it kinda stops there.

Also | did find this last screenshot with -U25 live version, like it was running a dual process maybe, | did not see it again tho.

Again, if you use the JULY mac version you can uninstall and reinstall all you like and it runs in both the preview and fullscreen fine,
so something change since JULY with mac version.

Also the JULY version aoz install is in a similar place for reference.
| left the default install folder path. (Same in -U25 that | could see as well).

History

#1 - 01/19/2023 01:19 AM - malcolm harvey

- Status changed from New to Closed

| believe this may have been corrected now in U38. As far as | have seen now working in monterey and ventura, Intel and M1/M2 Mac.
Closed for now.
Il reopen if it reoccurs.
